import { UserProfiles, Users } from "../../../../models/index.js";
import define from "../../define.js";
export const meta = {
    tags: [
        "admin"
    ],
    requireCredential: true,
    requireModerator: true
};
export const paramDef = {
    type: "object",
    properties: {
        userId: {
            type: "string",
            format: "misskey:id"
        },
        text: {
            type: "string"
        }
    },
    required: [
        "userId",
        "text"
    ]
};
export default define(meta, paramDef, async (ps, me)=>{
    const user = await Users.findOneBy({
        id: ps.userId
    });
    if (user == null) {
        throw new Error("user not found");
    }
    await UserProfiles.update({
        userId: user.id
    }, {
        moderationNote: ps.text
    });
});
